<?php
// Hook to add the metabox
global $smof_data;
if(isset($smof_data['ftc_review_summary']) && $smof_data['ftc_review_summary']){
    if(isset($smof_data['ftc_review_summary_auto']) && !$smof_data['ftc_review_summary_auto']){
        add_action('add_meta_boxes', 'add_product_wp_editor_metabox', 1);
    }
}

function add_product_wp_editor_metabox() {
    add_meta_box(
        'product_wp_editor_metabox',
        'Review Summary',
        'product_wp_editor_metabox_callback',
        'product',
        'normal',
        'default'
    );
}

function product_wp_editor_metabox_callback($post) {
    echo '<div class="form-gen-gpt-content">
    <label>'.esc_html__('Review summary for', 'karo').'</label>
    <input id="input-call-gpt" type="text" placeholder="Enter a title for chatgpt to suggest for you...">
    <button class="auto-gen-content button button-primary button-large">Auto Suggestion</button>
    </div>';
    $content =  get_post_meta($post->ID, '_product_editor_content', true);

    wp_nonce_field('product_editor_nonce', 'product_editor_nonce');

    wp_editor(
      wpautop($content),
        'product_editor',
        array(
            'textarea_name' => '_product_editor_content',
            'media_buttons' => true,
            'textarea_rows' => 10,
        )
    );
}

add_action('save_post', 'save_product_wp_editor_content');

function save_product_wp_editor_content($post_id) {
    if (
        isset($_POST['product_editor_nonce']) &&
        wp_verify_nonce($_POST['product_editor_nonce'], 'product_editor_nonce')
    ) {
        if (isset($_POST['_product_editor_content'])) {
            update_post_meta($post_id, '_product_editor_content', wp_kses_post($_POST['_product_editor_content']));
        }
    }
}