<?php 
add_action( 'vc_before_init', 'ftc_integrate_with_vc' );
function ftc_integrate_with_vc() {
	
	if( !function_exists('vc_map') ){
		return;
	}

	/********************** Content Shortcodes ***************************/
	/*** FTC Instagram ***/
	vc_map( array(
		'name' 		=> esc_html__( 'FTC Instagram Feed', 'karo' ),
		'base' 		=> 'ftc_instagram',
		'class' 	=> '',
		'category' 	=> 'ThemeFTC',
		'icon'          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
		'params' 	=> array(
			array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Title', 'karo' )
				,'param_name' 	=> 'title'
				,'admin_label' 	=> true
				,'value' 		=> 'Instagram'
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Username', 'karo' )
				,'param_name' 	=> 'username_hashtag'
				,'admin_label' 	=> true
				,'value' 		=> ''
				,'description' 	=> ''
			)			
			,array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Number of photos', 'karo' )
				,'param_name' 	=> 'photos_number'
				,'admin_label' 	=> true
				,'value' 		=> '9'
				,'description' 	=> ''
			)			
			,array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Number of Columns', 'karo' )
				,'param_name' 	=> 'columns'
				,'admin_label' 	=> true
				,'value' 		=> '3'
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Space items', 'karo' )
				,'param_name' 	=> 'photo_space'
				,'value' 		=> '10'
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Container size', 'karo' )
				,'param_name' 	=> 'container_size'
				,'value' 		=> '1920'
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Label button follow', 'karo' )
				,'param_name' 	=> 'link_text'
				,'admin_label' 	=> true
				,'value' 		=> 'Follow us on Instagram'
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Hover animation', 'karo' )
				,'param_name' 	=> 'hover_animation'
				,'admin_label' 	=> true
				,'value' 		=> array(
					esc_html__('Push', 'karo')		=>  'push'
					,esc_html__('Shink', 'karo')		=>  'shink'	
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Display in slider', 'karo' )
				,'param_name' 	=> 'is_slider'
				,'admin_label' 	=> true
				,'value' 		=> array(
					esc_html__('Yes', 'karo')	=> 1
					,esc_html__('No', 'karo')	=> 0
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Show navigation', 'karo' )
				,'param_name' 	=> 'show_nav'
				,'admin_label' 	=> false
				,'value' 		=> array(
					esc_html__('Yes', 'karo')	=> 1
					,esc_html__('No', 'karo')	=> 0
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Auto play', 'karo' )
				,'param_name' 	=> 'auto_play'
				,'admin_label' 	=> false
				,'value' 		=> array(
					esc_html__('Yes', 'karo')	=> 1
					,esc_html__('No', 'karo')	=> 0
				)
				,'description' 	=> ''
			)
		)
	) );
	/*** FTC Features ***/
	vc_map( array(
		'name' 		=> esc_html__( 'FTC Feature', 'karo' ),
		'base' 		=> 'ftc_feature',
		'class' 	=> '',
		'category' 	=> 'ThemeFTC',
		"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
		'params' 	=> array(
			array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Style', 'karo' )
				,'param_name' 	=> 'style'
				,'admin_label' 	=> true
				,'value' 		=> array(
					esc_html__('Horizontal', 'karo')		=>  'feature-horizontal'
					,esc_html__('Vertical', 'karo')		=>  'image-feature'	
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Icon class', 'karo' )
				,'param_name' 	=> 'class_icon'
				,'admin_label' 	=> true
				,'value' 		=> ''
				,'description' 	=> esc_html__('Use FontAwesome. Ex: fa-home', 'karo')
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Style icon', 'karo' )
				,'param_name' 	=> 'style_icon'
				,'admin_label' 	=> true
				,'value' 		=> array(
					esc_html__('Default', 'karo')		=>  'icon-default'
					,esc_html__('Small', 'karo')			=>  'icon-small'	
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'attach_image'
				,'heading' 		=> esc_html__( 'Image Thumbnail', 'karo' )
				,'param_name' 	=> 'img_id'
				,'admin_label' 	=> true
				,'value' 		=> ''
				,'description' 	=> ''
				,'dependency'  	=> array('element' => 'style', 'value' => array('image-feature'))
			)
			,array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Image Thumbnail URL', 'karo' )
				,'param_name' 	=> 'img_url'
				,'admin_label' 	=> true
				,'value' 		=> ''
				,'description' 	=> esc_html__('Input external URL instead of image from library', 'karo')
				,'dependency' 	=> array('element' => 'style', 'value' => array('image-feature'))
			)
			,array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Feature title', 'karo' )
				,'param_name' 	=> 'title'
				,'admin_label' 	=> true
				,'value' 		=> ''
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'textarea'
				,'heading' 		=> esc_html__( 'Short description', 'karo' )
				,'param_name' 	=> 'excerpt'
				,'admin_label' 	=> true
				,'value' 		=> ''
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Link', 'karo' )
				,'param_name' 	=> 'link'
				,'admin_label' 	=> true
				,'value' 		=> ''
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Target', 'karo' )
				,'param_name' 	=> 'target'
				,'admin_label' 	=> true
				,'value' 		=> array(
					esc_html__('New Window Tab', 'karo')	=>  '_blank'
					,esc_html__('Self', 'karo')			=>  '_self'	
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Extra class', 'karo' )
				,'param_name' 	=> 'extra_class'
				,'admin_label' 	=> true
				,'value' 		=> ''
				,'description' 	=> esc_html__('Ex: feature-icon-blue, feature-icon-orange, feature-icon-green', 'karo')
			)
		)
	) );
	
	/*** FTC Blogs ***/
	vc_map( array(
		'name' 		=> esc_html__( 'FTC Blogs', 'karo' ),
		'base' 		=> 'ftc_blogs',
		'base' 		=> 'ftc_blogs',
		'class' 	=> '',
		'category' 	=> 'ThemeFTC',
		"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
		'params' 	=> array(
			array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Block title', 'karo' )
				,'param_name' 	=> 'title'
				,'admin_label' 	=> true
				,'value' 		=> ''
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Layout', 'karo' )
				,'param_name' 	=> 'layout'
				,'admin_label' 	=> true
				,'value' 		=> array(
					esc_html__('Grid', 'karo')		=> 'grid'
					,esc_html__('Slider', 'karo')	=> 'slider'
					,esc_html__('Masonry', 'karo')	=> 'masonry'
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Blog Style', 'karo' )
				,'param_name' 	=> 'style'
				,'admin_label' 	=> true
				,'value' 		=> array(
					esc_html__('Default', 'karo')		=> ''
					,esc_html__('Version Home 20', 'karo')		=> 'blog-home20'
					,esc_html__('Version Home 22', 'karo')		=> 'blog-home22'
				)
				,'description' 	=> esc_html__( 'Select Style of Blog', 'karo' )
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Columns', 'karo' )
				,'param_name' 	=> 'columns'
				,'admin_label' 	=> true
				,'value' 		=> array(
					'1'				=> '1'
					,'2'			=> '2'
					,'3'			=> '3'
					,'4'			=> '4'
				)
				,'description' 	=> esc_html__( 'Number of Columns', 'karo' )
			)
			,array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Limit', 'karo' )
				,'param_name' 	=> 'per_page'
				,'admin_label' 	=> true
				,'value' 		=> 5
				,'description' 	=> esc_html__( 'Number of Posts', 'karo' )
			)
			,array(
				'type' 			=> 'ftc_category'
				,'heading' 		=> esc_html__( 'Categories', 'karo' )
				,'param_name' 	=> 'categories'
				,'admin_label' 	=> true
				,'value' 		=> ''
				,'description' 	=> ''
				,'class'		=> 'post_cat'
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Order by', 'karo' )
				,'param_name' 	=> 'orderby'
				,'admin_label' 	=> false
				,'value' 		=> array(
					esc_html__('None', 'karo')		=> 'none'
					,esc_html__('ID', 'karo')		=> 'ID'
					,esc_html__('Date', 'karo')		=> 'date'
					,esc_html__('Name', 'karo')		=> 'name'
					,esc_html__('Title', 'karo')		=> 'title'
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Order', 'karo' )
				,'param_name' 	=> 'order'
				,'admin_label' 	=> false
				,'value' 		=> array(
					esc_html__('Descending', 'karo')		=> 'DESC'
					,esc_html__('Ascending', 'karo')		=> 'ASC'
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Show post title', 'karo' )
				,'param_name' 	=> 'show_title'
				,'admin_label' 	=> false
				,'value' 		=> array(
					esc_html__('Yes', 'karo')	=> 1
					,esc_html__('No', 'karo')	=> 0
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Show thumbnail', 'karo' )
				,'param_name' 	=> 'show_thumbnail'
				,'admin_label' 	=> false
				,'value' 		=> array(
					esc_html__('Yes', 'karo')	=> 1
					,esc_html__('No', 'karo')	=> 0
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Show author', 'karo' )
				,'param_name' 	=> 'show_author'
				,'admin_label' 	=> false
				,'value' 		=> array(
					esc_html__('No', 'karo')	=> 0
					,esc_html__('Yes', 'karo')	=> 1
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Show comment', 'karo' )
				,'param_name' 	=> 'show_comment'
				,'admin_label' 	=> false
				,'value' 		=> array(
					esc_html__('Yes', 'karo')	=> 1
					,esc_html__('No', 'karo')	=> 0
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Show date', 'karo' )
				,'param_name' 	=> 'show_date'
				,'admin_label' 	=> false
				,'value' 		=> array(
					esc_html__('Yes', 'karo')	=> 1
					,esc_html__('No', 'karo')	=> 0
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Show post excerpt', 'karo' )
				,'param_name' 	=> 'show_excerpt'
				,'admin_label' 	=> false
				,'value' 		=> array(
					esc_html__('Yes', 'karo')	=> 1
					,esc_html__('No', 'karo')	=> 0
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Show count view', 'karo' )
				,'param_name' 	=> 'show_view'
				,'admin_label' 	=> false
				,'value' 		=> array(
					esc_html__('Yes', 'karo')	=> 1
					,esc_html__('No', 'karo')	=> 0
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Show read more button', 'karo' )
				,'param_name' 	=> 'show_readmore'
				,'admin_label' 	=> false
				,'value' 		=> array(
					esc_html__('Yes', 'karo')	=> 1
					,esc_html__('No', 'karo')	=> 0
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Number of words in excerpt', 'karo' )
				,'param_name' 	=> 'excerpt_words'
				,'admin_label' 	=> false
				,'value' 		=> '20'
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Show load more button', 'karo' )
				,'param_name' 	=> 'show_load_more'
				,'admin_label' 	=> false
				,'value' 		=> array(
					esc_html__('No', 'karo')	=> 0
					,esc_html__('Yes', 'karo')	=> 1
				)
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Load more button text', 'karo' )
				,'param_name' 	=> 'load_more_text'
				,'admin_label' 	=> false
				,'value' 		=> 'Show more'
				,'description' 	=> ''
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Show navigation button', 'karo' )
				,'param_name' 	=> 'show_nav'
				,'admin_label' 	=> false
				,'value' 		=> array(
					esc_html__('Yes', 'karo')	=> 1
					,esc_html__('No', 'karo')	=> 0
				)
				,'description' 	=> ''
				,'group'		=> esc_html__('Slider Options', 'karo')
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Show dots button', 'karo' )
				,'param_name' 	=> 'dots'
				,'admin_label' 	=> false
				,'value' 		=> array(
					esc_html__('Yes', 'karo')	=> 1
					,esc_html__('No', 'karo')	=> 0
				)
				,'description' 	=> ''
				,'group'		=> esc_html__('Slider Options', 'karo')
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Auto play', 'karo' )
				,'param_name' 	=> 'auto_play'
				,'admin_label' 	=> false
				,'value' 		=> array(
					esc_html__('Yes', 'karo')	=> 1
					,esc_html__('No', 'karo')	=> 0
				)
				,'description' 	=> ''
				,'group'		=> esc_html__('Slider Options', 'karo')
			)
			,array(
				'type' 			=> 'textfield'
				,'heading' 		=> esc_html__( 'Margin', 'karo' )
				,'param_name' 	=> 'margin'
				,'admin_label' 	=> false
				,'value' 		=> '30'
				,'description' 	=> esc_html__('Set margin between items', 'karo')
				,'group'		=> esc_html__('Slider Options', 'karo')
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Desktop small items', 'karo' )
				,'param_name' 	=> 'desksmall_items'
				,'admin_label' 	=> false
				,'value' 		=>  array(
					esc_html__('1', 'karo')	=> 1
					,esc_html__('2', 'karo')	=> 2
					,esc_html__('3', 'karo')	=> 3
					,esc_html__('4', 'karo')	=> 4

				)
				,'description' 	=> esc_html__('Set items on 991px', 'karo')
				,'group'		=> esc_html__('Responsive Options', 'karo')
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Tablet items', 'karo' )
				,'param_name' 	=> 'tablet_items'
				,'admin_label' 	=> false
				,'value' 		=>  array(
					esc_html__('1', 'karo')	=> 1
					,esc_html__('2', 'karo')	=> 2
					,esc_html__('3', 'karo')	=> 3
					,esc_html__('4', 'karo')	=> 4

				)
				,'description' 	=> esc_html__('Set items on 768px', 'karo')
				,'group'		=> esc_html__('Responsive Options', 'karo')
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Tablet mini items', 'karo' )
				,'param_name' 	=> 'tabletmini_items'
				,'admin_label' 	=> false
				,'value' 		=>  array(
					esc_html__('1', 'karo')	=> 1
					,esc_html__('2', 'karo')	=> 2
					,esc_html__('3', 'karo')	=> 3
					,esc_html__('4', 'karo')	=> 4

				)
				,'description' 	=> esc_html__('Set items on 640px', 'karo')
				,'group'		=> esc_html__('Responsive Options', 'karo')
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Mobile items', 'karo' )
				,'param_name' 	=> 'mobile_items'
				,'admin_label' 	=> false
				,'value' 		=>  array(
					esc_html__('1', 'karo')	=> 1
					,esc_html__('2', 'karo')	=> 2
					,esc_html__('3', 'karo')	=> 3
					,esc_html__('4', 'karo')	=> 4

				)
				,'description' 	=> esc_html__('Set items on 480px', 'karo')
				,'group'		=> esc_html__('Responsive Options', 'karo')
			)
			,array(
				'type' 			=> 'dropdown'
				,'heading' 		=> esc_html__( 'Mobile small items', 'karo' )
				,'param_name' 	=> 'mobilesmall_items'
				,'admin_label' 	=> false
				,'value' 		=>  array(
					esc_html__('1', 'karo')	=> 1
					,esc_html__('2', 'karo')	=> 2
					,esc_html__('3', 'karo')	=> 3
					,esc_html__('4', 'karo')	=> 4

				)
				,'description' 	=> esc_html__('Set items on 0px', 'karo')
				,'group'		=> esc_html__('Responsive Options', 'karo')
			)
		)
) );
/*** FTC Blogs V2 ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Blogs V2', 'karo' ),
	'base' 		=> 'ftc_blogs2',
	'base' 		=> 'ftc_blogs2',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Block title', 'karo' )
			,'param_name' 	=> 'title'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Layout', 'karo' )
			,'param_name' 	=> 'layout'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Grid', 'karo')		=> 'grid'
				,esc_html__('Slider', 'karo')	=> 'slider'
				,esc_html__('Masonry', 'karo')	=> 'masonry'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Style', 'karo' )
			,'param_name' 	=> 'style'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('default', 'karo')		=> ''
				,esc_html__('Version 2', 'karo')	=> 'blog-v2'
				,esc_html__('Version 3', 'karo')	=> 'blog-v3'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Columns', 'karo' )
			,'param_name' 	=> 'columns'
			,'admin_label' 	=> true
			,'value' 		=> array(
				'1'				=> '1'
				,'2'			=> '2'
				,'3'			=> '3'
				,'4'			=> '4'
			)
			,'description' 	=> esc_html__( 'Number of Columns', 'karo' )
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Limit', 'karo' )
			,'param_name' 	=> 'per_page'
			,'admin_label' 	=> true
			,'value' 		=> 5
			,'description' 	=> esc_html__( 'Number of Posts', 'karo' )
		)
		,array(
			'type' 			=> 'ftc_category'
			,'heading' 		=> esc_html__( 'Categories', 'karo' )
			,'param_name' 	=> 'categories'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
			,'class'		=> 'post_cat'
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Order by', 'karo' )
			,'param_name' 	=> 'orderby'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('None', 'karo')		=> 'none'
				,esc_html__('ID', 'karo')		=> 'ID'
				,esc_html__('Date', 'karo')		=> 'date'
				,esc_html__('Name', 'karo')		=> 'name'
				,esc_html__('Title', 'karo')		=> 'title'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Order', 'karo' )
			,'param_name' 	=> 'order'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Descending', 'karo')		=> 'DESC'
				,esc_html__('Ascending', 'karo')		=> 'ASC'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show post title', 'karo' )
			,'param_name' 	=> 'show_title'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show thumbnail', 'karo' )
			,'param_name' 	=> 'show_thumbnail'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show author', 'karo' )
			,'param_name' 	=> 'show_author'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')	=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show Comment', 'karo' )
			,'param_name' 	=> 'comment'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')	=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show comment', 'karo' )
			,'param_name' 	=> 'show_comment'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show date', 'karo' )
			,'param_name' 	=> 'show_date'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show post excerpt', 'karo' )
			,'param_name' 	=> 'show_excerpt'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show count view', 'karo' )
			,'param_name' 	=> 'show_view'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show read more button', 'karo' )
			,'param_name' 	=> 'show_readmore'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Number of words in excerpt', 'karo' )
			,'param_name' 	=> 'excerpt_words'
			,'admin_label' 	=> false
			,'value' 		=> '20'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show load more button', 'karo' )
			,'param_name' 	=> 'show_load_more'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')	=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Load more button text', 'karo' )
			,'param_name' 	=> 'load_more_text'
			,'admin_label' 	=> false
			,'value' 		=> 'Show more'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show navigation button', 'karo' )
			,'param_name' 	=> 'show_nav'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show dots button', 'karo' )
			,'param_name' 	=> 'dots'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Auto play', 'karo' )
			,'param_name' 	=> 'auto_play'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Margin', 'karo' )
			,'param_name' 	=> 'margin'
			,'admin_label' 	=> false
			,'value' 		=> '30'
			,'description' 	=> esc_html__('Set margin between items', 'karo')
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Desktop small items', 'karo' )
			,'param_name' 	=> 'desksmall_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 991px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Tablet items', 'karo' )
			,'param_name' 	=> 'tablet_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 768px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Tablet mini items', 'karo' )
			,'param_name' 	=> 'tabletmini_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 640px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Mobile items', 'karo' )
			,'param_name' 	=> 'mobile_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 480px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Mobile small items', 'karo' )
			,'param_name' 	=> 'mobilesmall_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 0px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
	)
) );
/*** FTC Blogs V3 ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Blogs V3', 'karo' ),
	'base' 		=> 'ftc_blogs_3',
	'base' 		=> 'ftc_blogs_3',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Block title', 'karo' )
			,'param_name' 	=> 'title'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Layout', 'karo' )
			,'param_name' 	=> 'layout'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Grid', 'karo')		=> 'grid'
				,esc_html__('Slider', 'karo')	=> 'slider'
				,esc_html__('Masonry', 'karo')	=> 'masonry'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Style', 'karo' )
			,'param_name' 	=> 'style'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('default', 'karo')		=> ''
				,esc_html__('Version 1', 'karo')	=> 'blogv3-s1'
				,esc_html__('Version 2', 'karo')	=> 'blogv3-s2'
				,esc_html__('Version 3', 'karo')	=> 'blogv3-s3'
				,esc_html__('Version 4', 'karo')	=> 'blogv3-s4'
				,esc_html__('Version 5', 'karo')	=> 'blogv3-s3 blogv3-s5'
				,esc_html__('Version 6', 'karo')	=> 'blogv3-s6'
				,esc_html__('Version TimeLine', 'karo')	=> 'blog-timeline'
				,esc_html__('Version TimeLine v1', 'karo')	=> 'blog-timeline blog-timeline-2'
				,esc_html__('Version TimeLine v2', 'karo')	=> 'blog-timeline blog-timeline-3'
				,esc_html__('Version TimeLine v3', 'karo')	=> 'blog-timeline right-time'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Columns', 'karo' )
			,'param_name' 	=> 'columns'
			,'admin_label' 	=> true
			,'value' 		=> array(
				'1'				=> '1'
				,'2'			=> '2'
				,'3'			=> '3'
				,'4'			=> '4'
			)
			,'description' 	=> esc_html__( 'Number of Columns', 'karo' )
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Limit', 'karo' )
			,'param_name' 	=> 'per_page'
			,'admin_label' 	=> true
			,'value' 		=> 5
			,'description' 	=> esc_html__( 'Number of Posts', 'karo' )
		)
		,array(
			'type' 			=> 'ftc_category'
			,'heading' 		=> esc_html__( 'Categories', 'karo' )
			,'param_name' 	=> 'categories'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
			,'class'		=> 'post_cat'
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Order by', 'karo' )
			,'param_name' 	=> 'orderby'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('None', 'karo')		=> 'none'
				,esc_html__('ID', 'karo')		=> 'ID'
				,esc_html__('Date', 'karo')		=> 'date'
				,esc_html__('Name', 'karo')		=> 'name'
				,esc_html__('Title', 'karo')		=> 'title'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Order', 'karo' )
			,'param_name' 	=> 'order'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Descending', 'karo')		=> 'DESC'
				,esc_html__('Ascending', 'karo')		=> 'ASC'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show post title', 'karo' )
			,'param_name' 	=> 'show_title'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show thumbnail', 'karo' )
			,'param_name' 	=> 'show_thumbnail'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show author', 'karo' )
			,'param_name' 	=> 'show_author'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')	=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show Comment', 'karo' )
			,'param_name' 	=> 'comment'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')	=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show comment', 'karo' )
			,'param_name' 	=> 'show_comment'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show date', 'karo' )
			,'param_name' 	=> 'show_date'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show post excerpt', 'karo' )
			,'param_name' 	=> 'show_excerpt'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show count view', 'karo' )
			,'param_name' 	=> 'show_view'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show read more button', 'karo' )
			,'param_name' 	=> 'show_readmore'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Number of words in excerpt', 'karo' )
			,'param_name' 	=> 'excerpt_words'
			,'admin_label' 	=> false
			,'value' 		=> '20'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show load more button', 'karo' )
			,'param_name' 	=> 'show_load_more'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')	=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Load more button text', 'karo' )
			,'param_name' 	=> 'load_more_text'
			,'admin_label' 	=> false
			,'value' 		=> 'Show more'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show navigation button', 'karo' )
			,'param_name' 	=> 'show_nav'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show dots button', 'karo' )
			,'param_name' 	=> 'dots'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Auto play', 'karo' )
			,'param_name' 	=> 'auto_play'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Margin', 'karo' )
			,'param_name' 	=> 'margin'
			,'admin_label' 	=> false
			,'value' 		=> '30'
			,'description' 	=> esc_html__('Set margin between items', 'karo')
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Desktop small items', 'karo' )
			,'param_name' 	=> 'desksmall_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 991px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Tablet items', 'karo' )
			,'param_name' 	=> 'tablet_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 768px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Tablet mini items', 'karo' )
			,'param_name' 	=> 'tabletmini_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 640px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Mobile items', 'karo' )
			,'param_name' 	=> 'mobile_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 480px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Mobile small items', 'karo' )
			,'param_name' 	=> 'mobilesmall_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 0px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
	)
) );

/*** FTC Button ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Button', 'karo' ),
	'base' 		=> 'ftc_button',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Text', 'karo' )
			,'param_name' 	=> 'content'
			,'admin_label' 	=> true
			,'value' 		=> 'Button text'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Link', 'karo' )
			,'param_name' 	=> 'link'
			,'admin_label' 	=> true
			,'value' 		=> '#'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'colorpicker'
			,'heading' 		=> esc_html__( 'Text color', 'karo' )
			,'param_name' 	=> 'text_color'
			,'admin_label' 	=> false
			,'value' 		=> '#ffffff'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'colorpicker'
			,'heading' 		=> esc_html__( 'Text color hover', 'karo' )
			,'param_name' 	=> 'text_color_hover'
			,'admin_label' 	=> false
			,'value' 		=> '#ffffff'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'colorpicker'
			,'heading' 		=> esc_html__( 'Background color', 'karo' )
			,'param_name' 	=> 'bg_color'
			,'admin_label' 	=> false
			,'value' 		=> '#40bea7'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'colorpicker'
			,'heading' 		=> esc_html__( 'Background color hover', 'karo' )
			,'param_name' 	=> 'bg_color_hover'
			,'admin_label' 	=> false
			,'value' 		=> '#3f3f3f'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'colorpicker'
			,'heading' 		=> esc_html__( 'Border color', 'karo' )
			,'param_name' 	=> 'border_color'
			,'admin_label' 	=> false
			,'value' 		=> '#e8e8e8'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'colorpicker'
			,'heading' 		=> esc_html__( 'Border color hover', 'karo' )
			,'param_name' 	=> 'border_color_hover'
			,'admin_label' 	=> false
			,'value' 		=> '#40bea7'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Border width', 'karo' )
			,'param_name' 	=> 'border_width'
			,'admin_label' 	=> false
			,'value' 		=> '0'
			,'description' 	=> esc_html__('In pixels. Ex: 1', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Target', 'karo' )
			,'param_name' 	=> 'target'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Self', 'karo')				=> '_self'
				,esc_html__('New Window Tab', 'karo')	=> '_blank'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Size', 'karo' )
			,'param_name' 	=> 'size'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Small', 'karo')		=> 'small'
				,esc_html__('Medium', 'karo')	=> 'medium'
				,esc_html__('Large', 'karo')		=> 'large'
				,esc_html__('X-Large', 'karo')	=> 'x-large'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'iconpicker'
			,'heading' 		=> esc_html__( 'Font icon', 'karo' )
			,'param_name' 	=> 'font_icon'
			,'admin_label' 	=> false
			,'value' 		=> ''
			,'settings' 	=> array(
				'emptyIcon' 	=> true /* default true, display an "EMPTY" icon? */
				,'iconsPerPage' => 4000 /* default 100, how many icons per/page to display */
			)
			,'description' 	=> esc_html__('Add an icon before the text. Ex: fa-lock', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show popup', 'karo' )
			,'param_name' 	=> 'popup'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('No', 'karo')	=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
			,'group'		=> esc_html__('Popup Options', 'karo')
		)
		,array(
			'type' 			=> 'textarea_raw_html'
			,'heading' 		=> esc_html__( 'Popup content', 'karo' )
			,'param_name' 	=> 'popup_content'
			,'admin_label' 	=> false
			,'value' 		=> ''
			,'description' 	=> ''
			,'group'		=> esc_html__('Popup Options', 'karo')
		)
	)
) );

/*** FTC Image Slider ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Image Slider', 'karo' ),
	'base' 		=> 'ftc_image_slider',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'attach_image'
			,'heading' 		=> esc_html__( 'Image Slider 1', 'karo' )
			,'param_name' 	=> 'img_1'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> 'Set image slider 1'
		)
		,array(
			'type' 			=> 'attach_image'
			,'heading' 		=> esc_html__( 'Image Slider 2', 'karo' )
			,'param_name' 	=> 'img_2'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> 'Set image slider 2'
		)
		,array(
			'type' 			=> 'attach_image'
			,'heading' 		=> esc_html__( 'Image Slider 3', 'karo' )
			,'param_name' 	=> 'img_3'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> 'Set image slider 3'
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Link Image 1', 'karo' )
			,'param_name' 	=> 'link_1'
			,'admin_label' 	=> true
			,'value' 		=> '#'
			,'description' 	=> ''
		)			
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Link Title Image 1', 'karo' )
			,'param_name' 	=> 'link_title_1'
			,'admin_label' 	=> false
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Link_image_2', 'karo' )
			,'param_name' 	=> 'link_2'
			,'admin_label' 	=> true
			,'value' 		=> '#'
			,'description' 	=> ''
		)						
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Link Title Image 2', 'karo' )
			,'param_name' 	=> 'link_title_2'
			,'admin_label' 	=> false
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Link_image_3', 'karo' )
			,'param_name' 	=> 'link_3'
			,'admin_label' 	=> true
			,'value' 		=> '#'
			,'description' 	=> ''
		)						
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Link Title Image 3', 'karo' )
			,'param_name' 	=> 'link_title_3'
			,'admin_label' 	=> false
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Target', 'karo' )
			,'param_name' 	=> 'target'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('New Window Tab', 'karo')		=> '_blank'
				,esc_html__('Self', 'karo')				=> '_self'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Image Size', 'karo' )
			,'param_name' 	=> 'img_size'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> esc_html__( 'Ex: thumbnail, medium, large or full', 'karo' )
		)

	)
) );

/*** FTC Single Image ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Single Image', 'karo' ),
	'base' 		=> 'ftc_single_image',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'attach_image'
			,'heading' 		=> esc_html__( 'Image', 'karo' )
			,'param_name' 	=> 'img_id'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Image Size', 'karo' )
			,'param_name' 	=> 'img_size'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> esc_html__( 'Ex: thumbnail, medium, large or full', 'karo' )
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Image URL', 'karo' )
			,'param_name' 	=> 'img_url'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> esc_html__('Input external URL instead of image from library', 'karo')
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Link', 'karo' )
			,'param_name' 	=> 'link'
			,'admin_label' 	=> true
			,'value' 		=> '#'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Link Title', 'karo' )
			,'param_name' 	=> 'link_title'
			,'admin_label' 	=> false
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Hover Effect', 'karo' )
			,'param_name' 	=> 'style_smooth'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Effect-Image Left Right', 'karo')		=> 'smooth-image'
				,esc_html__('Effect Border Image', 'karo')				=> 'smooth-border-image'
				,esc_html__('Effect Background Image', 'karo')		=> 'smooth-background-image'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Target', 'karo' )
			,'param_name' 	=> 'target'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('New Window Tab', 'karo')		=> '_blank'
				,esc_html__('Self', 'karo')				=> '_self'
			)
			,'description' 	=> ''
		)
	)
) );

/*** FTC Heading ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Heading', 'karo' ),
	'base' 		=> 'ftc_heading',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Heading style', 'karo' )
			,'param_name' 	=> 'style'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Style 1', 'karo')		=> 'style-1'
				,esc_html__('Style 2', 'karo')		=> 'style-2'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Heading Size', 'karo' )
			,'param_name' 	=> 'size'
			,'admin_label' 	=> true
			,'value' 		=> array(
				'1'				=> '1'
				,'2'			=> '2'
				,'3'			=> '3'
				,'4'			=> '4'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Text', 'karo' )
			,'param_name' 	=> 'text'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
	)
) );

/*** FTC Banner ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Banner', 'karo' ),
	'base' 		=> 'ftc_banner',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'attach_image'
			,'heading' 		=> esc_html__( 'Background Image', 'karo' )
			,'param_name' 	=> 'bg_id'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Background Url', 'karo' )
			,'param_name' 	=> 'bg_url'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> esc_html__('Input external URL instead of image from library', 'karo')
		)
		,array(
			'type' 			=> 'colorpicker'
			,'heading' 		=> esc_html__( 'Background Color', 'karo' )
			,'param_name' 	=> 'bg_color'
			,'admin_label' 	=> false
			,'value' 		=> '#ffffff'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textarea_html'
			,'heading' 		=> esc_html__( 'Banner content', 'karo' )
			,'param_name' 	=> 'content'
			,'admin_label' 	=> false
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Position Banner Content', 'karo' )
			,'param_name' 	=> 'position_content'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Left Top', 'karo')			=>  'left-top'
				,esc_html__('Left Bottom', 'karo')		=>  'left-bottom'
				,esc_html__('Left Center', 'karo')		=>  'left-center'
				,esc_html__('Right Top', 'karo')			=>  'right-top'
				,esc_html__('Right Bottom', 'karo')		=>  'right-bottom'
				,esc_html__('Right Center', 'karo')		=>  'right-center'
				,esc_html__('Center Top', 'karo')		=>  'center-top'
				,esc_html__('Center Bottom', 'karo')		=>  'center-bottom'
				,esc_html__('Center Center', 'karo')		=>  'center-center'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Link', 'karo' )
			,'param_name' 	=> 'link'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Link Title', 'karo' )
			,'param_name' 	=> 'link_title'
			,'admin_label' 	=> false
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Style Effect', 'karo' )
			,'param_name' 	=> 'style_smooth'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Background Scale', 'karo')						=>  'ftc-smooth'
				,esc_html__('Background Scale Opacity', 'karo')				=>  'ftc-smooth-opacity'
				,esc_html__('Background Scale Dark', 'karo')					=>	'ftc-smooth-dark'
				,esc_html__('Background Scale and Line', 'karo')				=>  'ftc-smooth-and-line'
				,esc_html__('Background Scale Opacity and Line', 'karo')		=>  'ftc-smooth-opacity-line'
				,esc_html__('Background Scale Dark and Line', 'karo')		=>  'ftc-smooth-dark-line'
				,esc_html__('Background Opacity and Line', 'karo')			=>	'background-opacity-and-line'
				,esc_html__('Background Dark and Line', 'karo')				=>	'background-dark-and-line'
				,esc_html__('Background Opacity', 'karo')					=>	'background-opacity'
				,esc_html__('Background Dark', 'karo')						=>	'background-dark'
				,esc_html__('Line', 'karo')									=>	'eff-line'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Background Opacity On Device', 'karo' )
			,'param_name' 	=> 'opacity_bg_device'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')			=>  0
				,esc_html__('Yes', 'karo')		=>  1
			)
			,'description' 	=> esc_html__('Background image will be blurred on device. Note: should set background color ', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Responsive size', 'karo' )
			,'param_name' 	=> 'responsive_size'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')		=>  1
				,esc_html__('No', 'karo')		=>  0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Target', 'karo' )
			,'param_name' 	=> 'target'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('New Window Tab', 'karo')	=>  '_blank'
				,esc_html__('Self', 'karo')			=>  '_self'	
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Extra Class', 'karo' )
			,'param_name' 	=> 'extra_class'
			,'admin_label' 	=> false
			,'value' 		=> ''
			,'description' 	=> esc_html__('Ex: rp-rectangle-full, rp-rectangle', 'karo')
		)
	)
) );

/* FTC Testimonial */
vc_map( array(
	'name' 		=> esc_html__( 'FTC Testimonial', 'karo' ),
	'base' 		=> 'ftc_testimonial',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'ftc_category'
			,'heading' 		=> esc_html__( 'Categories', 'karo' )
			,'param_name' 	=> 'categories'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
			,'class'		=> 'ftc_testimonial'
		)
		,array(
			'type' 			=> 'textarea'
			,'heading' 		=> esc_html__( 'Testimonial IDs', 'karo' )
			,'param_name' 	=> 'ids'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> esc_html__('A comma separated list of testimonial ids', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show Avatar', 'karo' )
			,'param_name' 	=> 'show_avatar'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Limit', 'karo' )
			,'param_name' 	=> 'per_page'
			,'admin_label' 	=> true
			,'value' 		=> '4'
			,'description' 	=> esc_html__('Number of Posts', 'karo')
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Number of words in excerpt', 'karo' )
			,'param_name' 	=> 'excerpt_words'
			,'admin_label' 	=> true
			,'value' 		=> '50'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Text Color Style', 'karo' )
			,'param_name' 	=> 'text_color_style'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Default', 'karo')	=> 'text-default'
				,esc_html__('Light', 'karo')		=> 'text-light'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show in a carousel slider', 'karo' )
			,'param_name' 	=> 'is_slider'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Columns', 'karo' )
			,'param_name' 	=> 'columns'
			,'admin_label' 	=> true
			,'value' 		=> '1'
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Margin', 'karo' )
			,'param_name' 	=> 'margin'
			,'admin_label' 	=> true
			,'value' 		=> '30'
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show navigation button', 'karo' )
			,'param_name' 	=> 'show_nav'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show pagination dots', 'karo' )
			,'param_name' 	=> 'show_dots'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')	=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> esc_html__('If it is set, the navigation buttons will be removed', 'karo')
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Auto play', 'karo' )
			,'param_name' 	=> 'auto_play'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
	)
) );
/* FTC Testimonial V2*/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Testimonial V2', 'karo' ),
	'base' 		=> 'ftc_testimonial_v2',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'ftc_category'
			,'heading' 		=> esc_html__( 'Categories', 'karo' )
			,'param_name' 	=> 'categories'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
			,'class'		=> 'ftc_testimonial'
		)
		,array(
			'type' 			=> 'textarea'
			,'heading' 		=> esc_html__( 'Testimonial IDs', 'karo' )
			,'param_name' 	=> 'ids'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> esc_html__('A comma separated list of testimonial ids', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show Avatar', 'karo' )
			,'param_name' 	=> 'show_avatar'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Limit', 'karo' )
			,'param_name' 	=> 'per_page'
			,'admin_label' 	=> true
			,'value' 		=> '4'
			,'description' 	=> esc_html__('Number of Posts', 'karo')
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Number of words in excerpt', 'karo' )
			,'param_name' 	=> 'excerpt_words'
			,'admin_label' 	=> true
			,'value' 		=> '50'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Text Color Style', 'karo' )
			,'param_name' 	=> 'text_color_style'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Default', 'karo')	=> 'text-default'
				,esc_html__('Light', 'karo')		=> 'text-light'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show in a carousel slider', 'karo' )
			,'param_name' 	=> 'is_slider'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Columns', 'karo' )
			,'param_name' 	=> 'columns'
			,'admin_label' 	=> true
			,'value' 		=> '1'
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Margin', 'karo' )
			,'param_name' 	=> 'margin'
			,'admin_label' 	=> true
			,'value' 		=> '30'
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show navigation button', 'karo' )
			,'param_name' 	=> 'show_nav'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show pagination dots', 'karo' )
			,'param_name' 	=> 'show_dots'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')	=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> esc_html__('If it is set, the navigation buttons will be removed', 'karo')
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Auto play', 'karo' )
			,'param_name' 	=> 'auto_play'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
	)
) );

/*** FTC Brands Slider ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Brands Slider', 'karo' ),
	'base' 		=> 'ftc_brands_slider',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Block title', 'karo' )
			,'param_name' 	=> 'title'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Style Brand', 'karo' )
			,'param_name' 	=> 'style_brand'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Default', 'karo')	=> 'style-default'
				,esc_html__('Light', 'karo')		=> 'style-light'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Limit', 'karo' )
			,'param_name' 	=> 'per_page'
			,'admin_label' 	=> true
			,'value' 		=> '7'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Rows', 'karo' )
			,'param_name' 	=> 'rows'
			,'admin_label' 	=> true
			,'value' 		=> 1
			,'description' 	=> esc_html__( 'Number of Rows', 'karo' )
		)
		,array(
			'type' 			=> 'ftc_category'
			,'heading' 		=> esc_html__( 'Categories', 'karo' )
			,'param_name' 	=> 'categories'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
			,'class'		=> 'ftc_brand'
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Margin', 'karo' )
			,'param_name' 	=> 'margin_image'
			,'admin_label' 	=> false
			,'value' 		=> '32'
			,'description' 	=> esc_html__('Set margin between items', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Activate link', 'karo' )
			,'param_name' 	=> 'active_link'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show navigation button', 'karo' )
			,'param_name' 	=> 'show_nav'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Auto play', 'karo' )
			,'param_name' 	=> 'auto_play'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)

		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Desktop small items', 'karo' )
			,'param_name' 	=> 'desksmall_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4
				,esc_html__('5', 'karo')	=> 5
				,esc_html__('6', 'karo')	=> 6

			)
			,'description' 	=> esc_html__('Set items on 991px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Tablet items', 'karo' )
			,'param_name' 	=> 'tablet_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 768px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Tablet mini items', 'karo' )
			,'param_name' 	=> 'tabletmini_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 640px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Mobile items', 'karo' )
			,'param_name' 	=> 'mobile_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 480px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Mobile small items', 'karo' )
			,'param_name' 	=> 'mobilesmall_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 0px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
	)
) );


/*** FTC Google Map ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Google Map', 'karo' ),
	'base' 		=> 'ftc_google_map',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Address', 'karo' )
			,'param_name' 	=> 'address'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> esc_html__('You have to input your API Key in Appearance > Theme Options > General tab', 'karo')
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Height', 'karo' )
			,'param_name' 	=> 'height'
			,'admin_label' 	=> true
			,'value' 		=> 360
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Zoom', 'karo' )
			,'param_name' 	=> 'zoom'
			,'admin_label' 	=> true
			,'value' 		=> 12
			,'description' 	=> esc_html__('Input a number between 0 and 22', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Map Type', 'karo' )
			,'param_name' 	=> 'map_type'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('ROADMAP', 'karo')		=> 'ROADMAP'
				,esc_html__('SATELLITE', 'karo')		=> 'SATELLITE'
				,esc_html__('HYBRID', 'karo')		=> 'HYBRID'
				,esc_html__('TERRAIN', 'karo')		=> 'TERRAIN'
			)
			,'description' 	=> ''
		)
	)
) );

/*** FTC Countdown ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Countdown', 'karo' ),
	'base' 		=> 'ftc_countdown',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Day', 'karo' )
			,'param_name' 	=> 'day'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Month', 'karo' )
			,'param_name' 	=> 'month'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Year', 'karo' )
			,'param_name' 	=> 'year'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Text Color Style', 'karo' )
			,'param_name' 	=> 'text_color_style'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Default', 'karo')	=> 'text-default'
				,esc_html__('Light', 'karo')		=> 'text-light'
				,esc_html__('Version 1', 'karo')		=> 'light-v1'
				,esc_html__('Version 2', 'karo')		=> 'light-v2'
				,esc_html__('Version 3', 'karo')		=> 'light-v3'
			)
			,'description' 	=> ''
		)
	)
) );

/*** FTC Feedburner Subscription ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Feedburner Subscription', 'karo' ),
	'base' 		=> 'ftc_feedburner_subscription',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Feedburner ID', 'karo' )
			,'param_name' 	=> 'feedburner_id'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Title', 'karo' )
			,'param_name' 	=> 'title'
			,'admin_label' 	=> true
			,'value' 		=> 'Newsletter'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Intro Text Line 1', 'karo' )
			,'param_name' 	=> 'intro_text'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Button Text', 'karo' )
			,'param_name' 	=> 'button_text'
			,'admin_label' 	=> true
			,'value' 		=> 'Subscribe'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Placeholder Text', 'karo' )
			,'param_name' 	=> 'placeholder_text'
			,'admin_label' 	=> true
			,'value' 		=> 'Enter your email address'
			,'description' 	=> ''
		)
	)
) );

/********************** FTC Product Shortcodes ************************/

/*** FTC Products ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Products', 'karo' ),
	'base' 		=> 'ftc_products',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Block title', 'karo' )
			,'param_name' 	=> 'title'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Product type', 'karo' )
			,'param_name' 	=> 'product_type'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Recent', 'karo')		=> 'recent'
				,esc_html__('Sale', 'karo')		=> 'sale'
				,esc_html__('Featured', 'karo')	=> 'featured'
				,esc_html__('Best Selling', 'karo')	=> 'best_selling'
				,esc_html__('Top Rated', 'karo')	=> 'top_rated'
				,esc_html__('Mixed Order', 'karo')	=> 'mixed_order'
			)
			,'description' 	=> esc_html__( 'Select type of product', 'karo' )
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Product Style', 'karo' )
			,'param_name' 	=> 'style'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Default', 'karo')		=> ''
				,esc_html__('Version 1', 'karo')		=> 'products-v1'
				,esc_html__('Version 2', 'karo')	=> 'products-v2'
				,esc_html__('Version 3', 'karo')	=> 'products-v3 products-v1'
				,esc_html__('Version 4', 'karo')	=> 'products-v4'
				,esc_html__('Version 5', 'karo')	=> 'products-home21'
				,esc_html__('Version 6', 'karo')	=> 'products-home20'
				,esc_html__('Version 7', 'karo')	=> 'products-home21 products-home22'
			)
			,'description' 	=> esc_html__( 'Select Style of product', 'karo' )
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Custom order', 'karo' )
			,'param_name' 	=> 'custom_order'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('No', 'karo')			=> 0
				,esc_html__('Yes', 'karo')		=> 1
			)
			,'description' 	=> esc_html__( 'If you enable this option, the Product type option wont be available', 'karo' )
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Order by', 'karo' )
			,'param_name' 	=> 'orderby'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('None', 'karo')				=> 'none'
				,esc_html__('ID', 'karo')				=> 'ID'
				,esc_html__('Date', 'karo')				=> 'date'
				,esc_html__('Name', 'karo')				=> 'name'
				,esc_html__('Title', 'karo')				=> 'title'
				,esc_html__('Comment count', 'karo')		=> 'comment_count'
				,esc_html__('Random', 'karo')			=> 'rand'
			)
			,'dependency' 	=> array('element' => 'custom_order', 'value' => array('1'))
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Order', 'karo' )
			,'param_name' 	=> 'order'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Descending', 'karo')		=> 'DESC'
				,esc_html__('Ascending', 'karo')		=> 'ASC'
			)
			,'dependency' 	=> array('element' => 'custom_order', 'value' => array('1'))
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Columns', 'karo' )
			,'param_name' 	=> 'columns'
			,'admin_label' 	=> true
			,'value' 		=> 5
			,'description' 	=> esc_html__( 'Number of Columns', 'karo' )
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Limit', 'karo' )
			,'param_name' 	=> 'per_page'
			,'admin_label' 	=> true
			,'value' 		=> 5
			,'description' 	=> esc_html__( 'Number of Products', 'karo' )
		)
		,array(
			'type' 			=> 'autocomplete'
			,'heading' 		=> esc_html__( 'Product Categories', 'karo' )
			,'param_name' 	=> 'product_cats'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'settings' => array(
				'multiple' 			=> true
				,'sortable' 		=> true
				,'unique_values' 	=> true
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'autocomplete'
			,'heading' 		=> esc_html__( 'Product IDs', 'karo' )
			,'param_name' 	=> 'ids'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'settings' => array(
				'multiple' 			=> true
				,'sortable' 		=> true
				,'unique_values' 	=> true
			)
			,'description' 	=> esc_html__('Enter product name or slug to search', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Meta position', 'karo' )
			,'param_name' 	=> 'meta_position'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Bottom', 'karo')			=> 'bottom'
				,esc_html__('On Thumbnail', 'karo')	=> 'on-thumbnail'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product image', 'karo' )
			,'param_name' 	=> 'show_image'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product name', 'karo' )
			,'param_name' 	=> 'show_title'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product SKU', 'karo' )
			,'param_name' 	=> 'show_sku'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')	=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product price', 'karo' )
			,'param_name' 	=> 'show_price'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product short description', 'karo' )
			,'param_name' 	=> 'show_short_desc'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')	=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product rating', 'karo' )
			,'param_name' 	=> 'show_rating'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product label', 'karo' )
			,'param_name' 	=> 'show_label'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product categories', 'karo' )
			,'param_name' 	=> 'show_categories'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')	=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show add to cart button', 'karo' )
			,'param_name' 	=> 'show_add_to_cart'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show gallery list', 'karo' )
			,'param_name' 	=> 'show_gallery'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')	=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show load more button', 'karo' )
			,'param_name' 	=> 'show_load_more'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')	=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Load more text', 'karo' )
			,'param_name' 	=> 'load_more_text'
			,'admin_label' 	=> true
			,'value' 		=> 'Show more'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Image Width Size', 'karo' )
			,'param_name' 	=> 'custom_width'
			,'admin_label' 	=> true
			,'description' 	=> esc_html__( 'Width', 'karo' )
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Image Height Size', 'karo' )
			,'param_name' 	=> 'custom_height'
			,'admin_label' 	=> true
			,'description' 	=> esc_html__( 'Height', 'karo' ) 
		)
	)
) );

/*** FTC Products Slider ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Products Slider', 'karo' ),
	'base' 		=> 'ftc_products_slider',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Block title', 'karo' )
			,'param_name' 	=> 'title'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Product type', 'karo' )
			,'param_name' 	=> 'product_type'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Recent', 'karo')		=> 'recent'
				,esc_html__('Sale', 'karo')		=> 'sale'
				,esc_html__('Featured', 'karo')	=> 'featured'
				,esc_html__('Best Selling', 'karo')	=> 'best_selling'
				,esc_html__('Top Rated', 'karo')	=> 'top_rated'
				,esc_html__('Mixed Order', 'karo')	=> 'mixed_order'
			)
			,'description' 	=> esc_html__( 'Select type of product', 'karo' )
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Product Style', 'karo' )
			,'param_name' 	=> 'style'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Default', 'karo')		=> ''
				,esc_html__('Version 2', 'karo')		=> 'product-version-2'
				,esc_html__('Version 3', 'karo')		=> 'product-version-3'
				,esc_html__('Version 4', 'karo')		=> 'product-version-3 pro-h14'
			)
			,'description' 	=> esc_html__( 'Select type of product', 'karo' )
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Custom order', 'karo' )
			,'param_name' 	=> 'custom_order'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('No', 'karo')			=> 0
				,esc_html__('Yes', 'karo')		=> 1
			)
			,'description' 	=> esc_html__( 'If you enable this option, the Product type option wont be available', 'karo' )
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Order by', 'karo' )
			,'param_name' 	=> 'orderby'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('None', 'karo')				=> 'none'
				,esc_html__('ID', 'karo')				=> 'ID'
				,esc_html__('Date', 'karo')				=> 'date'
				,esc_html__('Name', 'karo')				=> 'name'
				,esc_html__('Title', 'karo')				=> 'title'
				,esc_html__('Comment count', 'karo')		=> 'comment_count'
				,esc_html__('Random', 'karo')			=> 'rand'
			)
			,'dependency' 	=> array('element' => 'custom_order', 'value' => array('1'))
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Order', 'karo' )
			,'param_name' 	=> 'order'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Descending', 'karo')		=> 'DESC'
				,esc_html__('Ascending', 'karo')		=> 'ASC'
			)
			,'dependency' 	=> array('element' => 'custom_order', 'value' => array('1'))
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Columns', 'karo' )
			,'param_name' 	=> 'columns'
			,'admin_label' 	=> true
			,'value' 		=> 5
			,'description' 	=> esc_html__( 'Number of Columns', 'karo' )
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Rows', 'karo' )
			,'param_name' 	=> 'rows'
			,'admin_label' 	=> true
			,'value' 		=> 1
			,'description' 	=> esc_html__( 'Number of Rows', 'karo' )
		)                    
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Limit', 'karo' )
			,'param_name' 	=> 'per_page'
			,'admin_label' 	=> true
			,'value' 		=> 6
			,'description' 	=> esc_html__( 'Number of Products', 'karo' )
		)
		,array(
			'type' 			=> 'autocomplete'
			,'heading' 		=> esc_html__( 'Product Categories', 'karo' )
			,'param_name' 	=> 'product_cats'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'settings' => array(
				'multiple' 			=> true
				,'sortable' 		=> true
				,'unique_values' 	=> true
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Meta position', 'karo' )
			,'param_name' 	=> 'meta_position'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Bottom', 'karo')			=> 'bottom'
				,esc_html__('On Thumbnail', 'karo')	=> 'on-thumbnail'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product image', 'karo' )
			,'param_name' 	=> 'show_image'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product name', 'karo' )
			,'param_name' 	=> 'show_title'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product SKU', 'karo' )
			,'param_name' 	=> 'show_sku'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')		=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product price', 'karo' )
			,'param_name' 	=> 'show_price'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product short description', 'karo' )
			,'param_name' 	=> 'show_short_desc'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')		=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product rating', 'karo' )
			,'param_name' 	=> 'show_rating'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product label', 'karo' )
			,'param_name' 	=> 'show_label'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product categories', 'karo' )
			,'param_name' 	=> 'show_categories'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')		=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show add to cart button', 'karo' )
			,'param_name' 	=> 'show_add_to_cart'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show navigation button', 'karo' )
			,'param_name' 	=> 'show_nav'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show dots button', 'karo' )
			,'param_name' 	=> 'dots'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Position navigation button', 'karo' )
			,'param_name' 	=> 'position_nav'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Top', 'karo')		=> 'nav-top'
				,esc_html__('Bottom', 'karo')	=> 'nav-bottom'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Margin', 'karo' )
			,'param_name' 	=> 'margin'
			,'admin_label' 	=> false
			,'value' 		=> '20'
			,'description' 	=> esc_html__('Set margin between items', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Desktop small items', 'karo' )
			,'param_name' 	=> 'desksmall_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 991px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Tablet items', 'karo' )
			,'param_name' 	=> 'tablet_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 768px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Tablet mini items', 'karo' )
			,'param_name' 	=> 'tabletmini_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 640px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Mobile items', 'karo' )
			,'param_name' 	=> 'mobile_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 480px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Mobile small items', 'karo' )
			,'param_name' 	=> 'mobilesmall_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 0px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
	)
) );

/*** FTC Products Widget ***/
vc_map( array(
	'name' 			=> esc_html__( 'FTC Products Widget', 'karo' ),
	'base' 			=> 'ftc_products_widget',
	'class' 		=> '',
	'description' 	=> '',
	'category' 		=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 		=> array(
		array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Block title', 'karo' )
			,'param_name' 	=> 'title'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Product type', 'karo' )
			,'param_name' 	=> 'product_type'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Recent', 'karo')		=> 'recent'
				,esc_html__('Sale', 'karo')		=> 'sale'
				,esc_html__('Featured', 'karo')	=> 'featured'
				,esc_html__('Best Selling', 'karo')	=> 'best_selling'
				,esc_html__('Top Rated', 'karo')	=> 'top_rated'
				,esc_html__('Mixed Order', 'karo')	=> 'mixed_order'
			)
			,'description' 	=> esc_html__( 'Select type of product', 'karo' )
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Limit', 'karo' )
			,'param_name' 	=> 'per_page'
			,'admin_label' 	=> true
			,'value' 		=> 6
			,'description' 	=> esc_html__( 'Number of Products', 'karo' )
		)
		,array(
			'type' 			=> 'autocomplete'
			,'heading' 		=> esc_html__( 'Product Categories', 'karo' )
			,'param_name' 	=> 'product_cats'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'settings' => array(
				'multiple' 			=> true
				,'sortable' 		=> true
				,'unique_values' 	=> true
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product image', 'karo' )
			,'param_name' 	=> 'show_image'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Thumbnail size', 'karo' )
			,'param_name' 	=> 'thumbnail_size'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('shop_thumbnail', 'karo')		=> 'Product Thumbnails'
				,esc_html__('shop_catalog', 'karo')		=> 'Catalog Images'
				,esc_html__('shop_single', 'karo')	=> 'Single Product Image'
			)
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product name', 'karo' )
			,'param_name' 	=> 'show_title'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product price', 'karo' )
			,'param_name' 	=> 'show_price'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product rating', 'karo' )
			,'param_name' 	=> 'show_rating'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product categories', 'karo' )
			,'param_name' 	=> 'show_categories'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')	=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show in a carousel slider', 'karo' )
			,'param_name' 	=> 'is_slider'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('No', 'karo')	=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Row', 'karo' )
			,'param_name' 	=> 'rows'
			,'admin_label' 	=> false
			,'value' 		=> 3
			,'description' 	=> esc_html__( 'Number of Rows for slider', 'karo' )
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show navigation button', 'karo' )
			,'param_name' 	=> 'show_nav'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Auto play', 'karo' )
			,'param_name' 	=> 'auto_play'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
			,'group'		=> esc_html__('Slider Options', 'karo')
		)
	)
) );

/*** FTC Product Deals Slider ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Product Deals Slider', 'karo' ),
	'base' 		=> 'ftc_product_deals_slider',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Block title', 'karo' )
			,'param_name' 	=> 'title'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Product type', 'karo' )
			,'param_name' 	=> 'product_type'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Recent', 'karo')		=> 'recent'
				,esc_html__('Featured', 'karo')	=> 'featured'
				,esc_html__('Best Selling', 'karo')	=> 'best_selling'
				,esc_html__('Top Rated', 'karo')	=> 'top_rated'
				,esc_html__('Mixed Order', 'karo')	=> 'mixed_order'
			)
			,'description' 	=> esc_html__( 'Select type of product', 'karo' )
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Product Deals Style', 'karo' )
			,'param_name' 	=> 'style'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Default', 'karo')		=> ''
				,esc_html__('Featured', 'karo')	=> 'featured-deals'
				,esc_html__('Version 3', 'karo')	=> 'version3-deals'
			)
			,'description' 	=> esc_html__( 'Select style of product', 'karo' )
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Item Layout', 'karo' )
			,'param_name' 	=> 'layout'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Grid', 'karo')		=> 'grid'
				,esc_html__('List', 'karo')		=> 'list'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Columns', 'karo' )
			,'param_name' 	=> 'columns'
			,'admin_label' 	=> false
			,'value' 		=> 4
			,'description' 	=> esc_html__( 'Number of Columns', 'karo' )
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Limit', 'karo' )
			,'param_name' 	=> 'per_page'
			,'admin_label' 	=> true
			,'value' 		=> 5
			,'description' 	=> esc_html__( 'Number of Products', 'karo' )
		)
		,array(
			'type' 			=> 'autocomplete'
			,'heading' 		=> esc_html__( 'Product Categories', 'karo' )
			,'param_name' 	=> 'product_cats'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'settings' => array(
				'multiple' 			=> true
				,'sortable' 		=> true
				,'unique_values' 	=> true
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show counter', 'karo' )
			,'param_name' 	=> 'show_counter'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Counter position', 'karo' )
			,'param_name' 	=> 'counter_position'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Bottom', 'karo')			=> 'bottom'
				,esc_html__('On thumbnail', 'karo')	=> 'on-thumbnail'
			)
			,'description' 	=> ''
			,'dependency' 	=> array('element' => 'show_counter', 'value' => array('1'))
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product image', 'karo' )
			,'param_name' 	=> 'show_image'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show gallery list', 'karo' )
			,'param_name' 	=> 'show_gallery'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Gallery position', 'karo' )
			,'param_name' 	=> 'gallery_position'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Bottom out line', 'karo')	=> 'bottom-out'
				,esc_html__('Bottom in line', 'karo')	=> 'bottom-in'
			)
			,'description' 	=> ''
			,'dependency' 	=> array('element' => 'show_counter', 'value' => array('1'))
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product name', 'karo' )
			,'param_name' 	=> 'show_title'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product SKU', 'karo' )
			,'param_name' 	=> 'show_sku'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')		=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product price', 'karo' )
			,'param_name' 	=> 'show_price'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product short description', 'karo' )
			,'param_name' 	=> 'show_short_desc'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')		=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)

		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product rating', 'karo' )
			,'param_name' 	=> 'show_rating'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product label', 'karo' )
			,'param_name' 	=> 'show_label'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product categories', 'karo' )
			,'param_name' 	=> 'show_categories'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')		=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show add to cart button', 'karo' )
			,'param_name' 	=> 'show_add_to_cart'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show navigation button', 'karo' )
			,'param_name' 	=> 'show_nav'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show dots button', 'karo' )
			,'param_name' 	=> 'dots'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Auto play', 'karo' )
			,'param_name' 	=> 'auto_play'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Margin', 'karo' )
			,'param_name' 	=> 'margin'
			,'admin_label' 	=> false
			,'value' 		=> '20'
			,'description' 	=> esc_html__('Set margin between items', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Desktop small items', 'karo' )
			,'param_name' 	=> 'desksmall_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 991px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Tablet items', 'karo' )
			,'param_name' 	=> 'tablet_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 768px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Tablet mini items', 'karo' )
			,'param_name' 	=> 'tabletmini_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 640px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Mobile items', 'karo' )
			,'param_name' 	=> 'mobile_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 480px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Mobile small items', 'karo' )
			,'param_name' 	=> 'mobilesmall_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 0px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Image Width Size', 'karo' )
			,'param_name' 	=> 'custom_width'
			,'admin_label' 	=> true
			,'description' 	=> esc_html__( 'Width', 'karo' )
		),array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Image Height Size', 'karo' )
			,'param_name' 	=> 'custom_height'
			,'admin_label' 	=> true
			,'description' 	=> esc_html__( 'Height', 'karo' )
		)
	)
) );

/*** FTC Product Categories Slider ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Product Categories Slider', 'karo' ),
	'base' 		=> 'ftc_product_categories_slider',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Block title', 'karo' )
			,'param_name' 	=> 'title'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Columns', 'karo' )
			,'param_name' 	=> 'columns'
			,'admin_label' 	=> true
			,'value' 		=> 4
			,'description' 	=> esc_html__( 'Number of Columns', 'karo' )
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Rows', 'karo' )
			,'param_name' 	=> 'rows'
			,'admin_label' 	=> true
			,'value' 		=> 1
			,'description' 	=> esc_html__( 'Number of Rows', 'karo' )
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Limit', 'karo' )
			,'param_name' 	=> 'per_page'
			,'admin_label' 	=> true
			,'value' 		=> 5
			,'description' 	=> esc_html__( 'Number of Product Categories', 'karo' )
		)
		,array(
			'type' 			=> 'autocomplete'
			,'heading' 		=> esc_html__( 'Parent', 'karo' )
			,'param_name' 	=> 'parent'
			,'admin_label' 	=> true
			,'settings' => array(
				'multiple' 			=> false
				,'sortable' 		=> true
				,'unique_values' 	=> true
			)
			,'value' 		=> ''
			,'description' 	=> esc_html__( 'Select a category. Get direct children of this category', 'karo' )
		)
		,array(
			'type' 			=> 'autocomplete'
			,'heading' 		=> esc_html__( 'Child Of', 'karo' )
			,'param_name' 	=> 'child_of'
			,'admin_label' 	=> true
			,'settings' => array(
				'multiple' 			=> false
				,'sortable' 		=> true
				,'unique_values' 	=> true
			)
			,'value' 		=> ''
			,'description' 	=> esc_html__( 'Select a category. Get all descendents of this category', 'karo' )
		)
		,array(
			'type' 			=> 'autocomplete'
			,'heading' 		=> esc_html__( 'Product Categories', 'karo' )
			,'param_name' 	=> 'ids'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'settings' => array(
				'multiple' 			=> true
				,'sortable' 		=> true
				,'unique_values' 	=> true
			)
			,'description' 	=> esc_html__('Include these categories', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Hide empty product categories', 'karo' )
			,'param_name' 	=> 'hide_empty'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product category title', 'karo' )
			,'param_name' 	=> 'show_title'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product category discription', 'karo' )
			,'param_name' 	=> 'show_discription'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show navigation button', 'karo' )
			,'param_name' 	=> 'show_nav'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show dots button', 'karo' )
			,'param_name' 	=> 'dots'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Auto play', 'karo' )
			,'param_name' 	=> 'auto_play'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Margin', 'karo' )
			,'param_name' 	=> 'margin'
			,'admin_label' 	=> false
			,'value' 		=> '0'
			,'description' 	=> esc_html__('Set margin between items', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Desktop small items', 'karo' )
			,'param_name' 	=> 'desksmall_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 991px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Tablet items', 'karo' )
			,'param_name' 	=> 'tablet_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 768px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Tablet mini items', 'karo' )
			,'param_name' 	=> 'tabletmini_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 640px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Mobile items', 'karo' )
			,'param_name' 	=> 'mobile_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 480px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Mobile small items', 'karo' )
			,'param_name' 	=> 'mobilesmall_items'
			,'admin_label' 	=> false
			,'value' 		=>  array(
				esc_html__('1', 'karo')	=> 1
				,esc_html__('2', 'karo')	=> 2
				,esc_html__('3', 'karo')	=> 3
				,esc_html__('4', 'karo')	=> 4

			)
			,'description' 	=> esc_html__('Set items on 0px', 'karo')
			,'group'		=> esc_html__('Responsive Options', 'karo')
		)
	)
) );
/*** FTC LookBook ***/
vc_map( array(
	'name' => esc_html__( 'Image Hotspot', 'karo' ),
	'base' => 'ftc_image_hotspot',
	'class' => '',
	'category' => esc_html__( 'ThemeFTC', 'karo' ),
	'description' => esc_html__( 'Add hotspots with products to the image', 'karo' ),
	'icon' => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'as_parent' => array( 'only' => 'ftc_hotspot' ),
	'content_element' => true,
	'show_settings_on_create' => true,
	'params' => array(
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Image', 'karo' ),
			'param_name' => 'img',
			'holder' => 'img',
			'value' => '',
			'description' => esc_html__( 'Select images from media library.', 'karo' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Image size', 'karo' ),
			'param_name' => 'img_size',
			'description' => esc_html__( 'Enter image size. Example: "thumbnail", "medium", "large", "full" ', 'karo' )
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Hotspot icon', 'karo' ),
			'param_name' => 'icon',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Hotspot action', 'karo' ),
			'param_name' => 'action',
			'value' =>  array(
				esc_html__( 'Hover', 'karo' ) => 'hover',
				esc_html__( 'Click', 'karo' ) => 'click',
			),
			'description' => esc_html__( 'Open hotspot content on click or hover', 'karo' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'karo' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'karo' )
		)
	),
	'js_view' => 'VcColumnView'
) );

vc_map( array(
	'name' => esc_html__( 'Hotspot', 'karo'),
	'base' => 'ftc_hotspot',
	'as_child' => array( 'only' => 'ftc_image_hotspot' ),
	'content_element' => true,
	'category' => esc_html__( 'ThemeFTC', 'karo' ),
	'icon' => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' => array(
		array(
			'type' => 'ftc_image_hotspot',
			'heading' => esc_html__( 'Hotspot', 'karo' ),
			'param_name' => 'hotspot',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Hotspot content', 'karo' ),
			'param_name' => 'hotspot_type',
			'value' =>  array(
				esc_html__( 'Product', 'karo' ) => 'product',
				esc_html__( 'Text', 'karo' ) => 'text'
			),
			'description' => esc_html__( 'You can display any product or custom text in the hotspot content.', 'karo' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Hotspot dropdown side', 'karo' ),
			'param_name' => 'hotspot_dropdown_side',
			'value' =>  array(
				esc_html__( 'Left', 'karo' ) => 'left',
				esc_html__( 'Right', 'karo' ) => 'right',
				esc_html__( 'Top', 'karo' ) => 'top',
				esc_html__( 'Bottom', 'karo' ) => 'bottom',
			),
			'description' => esc_html__( 'Show the content on left or right side, top or bottom.', 'karo' )
		),
				//Product
		array(
			'type' => 'autocomplete',
			'heading' => esc_html__( 'Select product', 'karo' ),
			'param_name' => 'product_id',
			'description' => esc_html__( 'Add products by title.', 'karo' ),
			'settings' => array(
				'multiple' => false,
				'sortable' => true,
				'groups' => true
			),
			'dependency' => array(
				'element' => 'hotspot_type',
				'value' => array( 'product' )
			)
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'karo' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'karo' )
		)
	),
) );
if( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	class WPBakeryShortCode_ftc_image_hotspot extends WPBakeryShortCodesContainer {}
}

		// Replace Wbc_Inner_Item with your base name from mapping for nested element
if( class_exists( 'WPBakeryShortCode' ) ){
	class WPBakeryShortCode_ftc_hotspot extends WPBakeryShortCode {}
}

add_filter( 'vc_autocomplete_ftc_hotspot_product_id_callback',	'ftc_productIdAutocompleteSuggester', 10, 1 ); 
add_filter( 'vc_autocomplete_ftc_image_hotspot_product_id_render','ftc_productIdAutocompleteSuggester', 10, 1 );

if ( ! function_exists( 'ftc_productIdAutocompleteSuggester' ) ) {
	function ftc_productIdAutocompleteSuggester( $query ) {
		global $wpdb;
		$product_id = (int) $query;
		$post_meta_infos = $wpdb->get_results( $wpdb->prepare( "SELECT a.ID AS id, a.post_title AS title, b.meta_value AS sku
			FROM {$wpdb->posts} AS a
			LEFT JOIN ( SELECT meta_value, post_id  FROM {$wpdb->postmeta} WHERE `meta_key` = '_sku' ) AS b ON b.post_id = a.ID
			WHERE a.post_type = 'product' AND ( a.ID = '%d' OR b.meta_value LIKE '%%%s%%' OR a.post_title LIKE '%%%s%%' )", $product_id > 0 ? $product_id : - 1, stripslashes( $query ), stripslashes( $query ) ), ARRAY_A );

		$results = array();
		if ( is_array( $post_meta_infos ) && ! empty( $post_meta_infos ) ) {
			foreach ( $post_meta_infos as $value ) {
				$data = array();
				$data['value'] = $value['id'];
				$data['label'] = __( 'Id', 'karo' ) . ': ' . $value['id'] . ( ( strlen( $value['title'] ) > 0 ) ? ' - ' . __( 'Title', 'karo' ) . ': ' . $value['title'] : '' ) . ( ( strlen( $value['sku'] ) > 0 ) ? ' - ' . __( 'Sku', 'karo' ) . ': ' . $value['sku'] : '' );
				$results[] = $data;
			}
		}

		return $results;
	}
}

/*** FTC Products In Category Tabs***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Products Category Tabs', 'karo' ),
	'base' 		=> 'ftc_products_category_tabs',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Product type', 'karo' )
			,'param_name' 	=> 'product_type'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('Recent', 'karo')		=> 'recent'
				,esc_html__('Sale', 'karo')		=> 'sale'
				,esc_html__('Featured', 'karo')	=> 'featured'
				,esc_html__('Best Selling', 'karo')	=> 'best_selling'
				,esc_html__('Top Rated', 'karo')	=> 'top_rated'
				,esc_html__('Mixed Order', 'karo')	=> 'mixed_order'
			)
			,'description' 	=> esc_html__( 'Select type of product', 'karo' )
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Custom order', 'karo' )
			,'param_name' 	=> 'custom_order'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('No', 'karo')			=> 0
				,esc_html__('Yes', 'karo')		=> 1
			)
			,'description' 	=> esc_html__( 'If you enable this option, the Product type option wont be available', 'karo' )
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Order by', 'karo' )
			,'param_name' 	=> 'orderby'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('None', 'karo')				=> 'none'
				,esc_html__('ID', 'karo')				=> 'ID'
				,esc_html__('Date', 'karo')				=> 'date'
				,esc_html__('Name', 'karo')				=> 'name'
				,esc_html__('Title', 'karo')				=> 'title'
				,esc_html__('Comment count', 'karo')		=> 'comment_count'
				,esc_html__('Random', 'karo')			=> 'rand'
			)
			,'dependency' 	=> array('element' => 'custom_order', 'value' => array('1'))
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Order', 'karo' )
			,'param_name' 	=> 'order'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Descending', 'karo')		=> 'DESC'
				,esc_html__('Ascending', 'karo')		=> 'ASC'
			)
			,'dependency' 	=> array('element' => 'custom_order', 'value' => array('1'))
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'colorpicker'
			,'heading' 		=> esc_html__( 'Background Color', 'karo' )
			,'param_name' 	=> 'bg_color'
			,'admin_label' 	=> false
			,'value' 		=> '#f7f6f4'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Columns', 'karo' )
			,'param_name' 	=> 'columns'
			,'admin_label' 	=> true
			,'value' 		=> 3
			,'description' 	=> esc_html__( 'Number of Columns', 'karo' )
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Limit', 'karo' )
			,'param_name' 	=> 'per_page'
			,'admin_label' 	=> true
			,'value' 		=> 6
			,'description' 	=> esc_html__( 'Number of Products', 'karo' )
		)
		,array(
			'type' 			=> 'autocomplete'
			,'heading' 		=> esc_html__( 'Product Categories', 'karo' )
			,'param_name' 	=> 'product_cats'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'settings' => array(
				'multiple' 			=> true
				,'sortable' 		=> true
				,'unique_values' 	=> true
			)
			,'description' 	=> esc_html__( 'You select banners, icons in the Product Category editor', 'karo' )
		)
		,array(
			'type' 			=> 'autocomplete'
			,'heading' 		=> esc_html__( 'Parent Category', 'karo' )
			,'param_name' 	=> 'parent_cat'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'settings' => array(
				'multiple' 			=> false
				,'sortable' 		=> false
				,'unique_values' 	=> true
			)
			,'description' 	=> esc_html__('Each tab will be a sub category of this category. This option is available when the Product Categories option is empty', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Include children', 'karo' )
			,'param_name' 	=> 'include_children'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('No', 'karo')			=> 0
				,esc_html__('Yes', 'karo')		=> 1
			)
			,'description' 	=> esc_html__( 'Load the products of sub categories in each tab', 'karo' )
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Active tab', 'karo' )
			,'param_name' 	=> 'active_tab'
			,'admin_label' 	=> false
			,'value' 		=> 1
			,'description' 	=> esc_html__( 'Enter active tab number', 'karo' )
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product image', 'karo' )
			,'param_name' 	=> 'show_image'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product name', 'karo' )
			,'param_name' 	=> 'show_title'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product SKU', 'karo' )
			,'param_name' 	=> 'show_sku'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')		=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product price', 'karo' )
			,'param_name' 	=> 'show_price'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product short description', 'karo' )
			,'param_name' 	=> 'show_short_desc'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')		=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product rating', 'karo' )
			,'param_name' 	=> 'show_rating'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product label', 'karo' )
			,'param_name' 	=> 'show_label'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show product categories', 'karo' )
			,'param_name' 	=> 'show_categories'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')		=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show add to cart button', 'karo' )
			,'param_name' 	=> 'show_add_to_cart'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show counter', 'karo' )
			,'param_name' 	=> 'show_counter'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show in a carousel slider', 'karo' )
			,'param_name' 	=> 'is_slider'
			,'admin_label' 	=> true
			,'value' 		=> array(
				esc_html__('No', 'karo')		=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Rows', 'karo' )
			,'param_name' 	=> 'rows'
			,'admin_label' 	=> true
			,'value' 		=> array(
				'1'			=> '1'
				,'2'		=> '2'
			)
			,'description' 	=> esc_html__( 'Number of Rows in slider', 'karo' )
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show navigation button', 'karo' )
			,'param_name' 	=> 'show_nav'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No', 'karo')		=> 0
				,esc_html__('Yes', 'karo')	=> 1
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Auto play', 'karo' )
			,'param_name' 	=> 'auto_play'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
	)
) );

/*** FTC List Of Product Categories ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC List Of Product Categories', 'karo' ),
	'base' 		=> 'ftc_list_of_product_categories',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Block title', 'karo' )
			,'param_name' 	=> 'title'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'attach_image'
			,'heading' 		=> esc_html__( 'Background image', 'karo' )
			,'param_name' 	=> 'bg_image'
			,'admin_label' 	=> false
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Hover Image Effect', 'karo' )
			,'param_name' 	=> 'style_smooth'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('No Effect', 'karo')		=> 'no-smooth'
				,esc_html__('Effect-Image Left Right', 'karo')		=> 'smooth-image'
				,esc_html__('Effect Border Image', 'karo')				=> 'smooth-border-image'
				,esc_html__('Effect Background Image', 'karo')		=> 'smooth-background-image'
				,esc_html__('Effect Background Top Image', 'karo')	=> 'smooth-top-image'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'autocomplete'
			,'heading' 		=> esc_html__( 'Product Category', 'karo' )
			,'param_name' 	=> 'product_cat'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'settings' => array(
				'multiple' 			=> false
				,'sortable' 		=> false
				,'unique_values' 	=> true
			)
			,'description' 	=> esc_html__('Display sub categories of this category', 'karo')
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Include parent category in list', 'karo' )
			,'param_name' 	=> 'include_parent'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Number of Sub Categories', 'karo' )
			,'param_name' 	=> 'limit_sub_cat'
			,'admin_label' 	=> true
			,'value' 		=> 6
			,'description' 	=> esc_html__( 'Leave blank to show all', 'karo' )
		)
		,array(
			'type' 			=> 'autocomplete'
			,'heading' 		=> esc_html__( 'Include these categories', 'karo' )
			,'param_name' 	=> 'include_cats'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'settings' => array(
				'multiple' 			=> true
				,'sortable' 		=> true
				,'unique_values' 	=> true
			)
			,'description' 	=> esc_html__('If you set the Product Category option above, this option wont be available', 'karo')
		)
	)
) );


/*** FTC Milestone ***/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Milestone', 'karo' ),
	'base' 		=> 'ftc_milestone',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Number', 'karo' )
			,'param_name' 	=> 'number'
			,'admin_label' 	=> true
			,'value' 		=> '0'
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Subject', 'karo' )
			,'param_name' 	=> 'ftc_number_meta'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Note', 'karo' )
			,'param_name' 	=> 'note'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Text Color Style', 'karo' )
			,'param_name' 	=> 'text_color_style'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Default', 'karo')	=> 'text-default'
				,esc_html__('Light', 'karo')		=> 'text-light'
			)
			,'description' 	=> ''
		)
	)
) );
/* FTC Portfolio */
vc_map( array(
	'name' 		=> esc_html__( 'FTC Portfolio', 'karo' ),
	'base' 		=> 'ftc_portfolio',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Columns', 'karo' )
			,'param_name' 	=> 'columns'
			,'admin_label' 	=> true
			,'value' 		=> array(
				'2'		=> '2'
				,'3'	=> '3'
				,'4'	=> '4'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Limit', 'karo' )
			,'param_name' 	=> 'per_page'
			,'admin_label' 	=> true
			,'value' 		=> '8'
			,'description' 	=> esc_html__('Number of Posts', 'karo')
		)
		,array(
			'type' 			=> 'ftc_category'
			,'heading' 		=> esc_html__( 'Categories', 'karo' )
			,'param_name' 	=> 'categories'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
			,'class'		=> 'ftc_portfolio'
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Order by', 'karo' )
			,'param_name' 	=> 'orderby'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('None', 'karo')		=> 'none'
				,esc_html__('ID', 'karo')		=> 'ID'
				,esc_html__('Date', 'karo')		=> 'date'
				,esc_html__('Name', 'karo')		=> 'name'
				,esc_html__('Title', 'karo')		=> 'title'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Order', 'karo' )
			,'param_name' 	=> 'order'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Descending', 'karo')		=> 'DESC'
				,esc_html__('Ascending', 'karo')		=> 'ASC'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Portfolio Style', 'karo' )
			,'param_name' 	=> 'style'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Default', 'karo')		=> ''
				,esc_html__('Portfolio No Padding', 'karo')		=> 'portfolio-no-padding'
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show portfolio title', 'karo' )
			,'param_name' 	=> 'show_title'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show portfolio date', 'karo' )
			,'param_name' 	=> 'show_date'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show filter bar', 'karo' )
			,'param_name' 	=> 'show_filter_bar'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'dropdown'
			,'heading' 		=> esc_html__( 'Show load more button', 'karo' )
			,'param_name' 	=> 'show_load_more'
			,'admin_label' 	=> false
			,'value' 		=> array(
				esc_html__('Yes', 'karo')	=> 1
				,esc_html__('No', 'karo')	=> 0
			)
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Load more button text', 'karo' )
			,'param_name' 	=> 'load_more_text'
			,'admin_label' 	=> false
			,'value' 		=> 'Show more'
			,'description' 	=> ''
		)
	)
) );

}

/*FTC Gallery Instagram*/
vc_map( array(
	'name' 		=> esc_html__( 'FTC Gallery Image Instagram', 'karo' ),
	'base' 		=> 'ftc_insta_image',
	'class' 	=> '',
	'category' 	=> 'ThemeFTC',
	"icon"          => get_template_directory_uri() . "/inc/vc_extension/ftc_icon.png",
	'params' 	=> array(
		array(
			'type' 			=> 'attach_images'
			,'heading' 		=> esc_html__( 'Image', 'karo' )
			,'param_name' 	=> 'img_id'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Image Size', 'karo' )
			,'param_name' 	=> 'img_size'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> esc_html__( 'Ex: thumbnail, medium, large or full', 'karo' )
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( '@: Tagname Instagram', 'karo' )
			,'param_name' 	=> 'tag_name'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> esc_html__('Input tagname Instagram', 'karo')
		)
		,array(
			'type' 			=> 'textfield'
			,'heading' 		=> esc_html__( 'Columns', 'karo' )
			,'param_name' 	=> 'columns'
			,'admin_label' 	=> true
			,'value' 		=> ''
			,'description' 	=> ''
		)
	)
) );

/*** Add Shortcode Param ***/
WpbakeryShortcodeParams::addField('ftc_category', 'ftc_product_catgories_shortcode_param');
if( !function_exists('ftc_product_catgories_shortcode_param') ){
	function ftc_product_catgories_shortcode_param($settings, $value){
		$categories = ftc_get_list_categories_shortcode_param(0, $settings);
		$arr_value = explode(',', $value);
		ob_start();
		?>
		<input type="hidden" class="wpb_vc_param_value wpb-textinput product_cats textfield ftc-hidden-selected-categories" name="<?php echo esc_attr($settings['param_name']); ?>" value="<?php echo esc_attr($value); ?>" />
		<div class="categorydiv">
			<div class="tabs-panel">
				<ul class="categorychecklist">
					<?php foreach($categories as $cat){ ?>
						<li>
							<label>
								<input type="checkbox" class="checkbox ftc-select-category" value="<?php echo esc_attr($cat->term_id); ?>" <?php echo (in_array($cat->term_id, $arr_value))?'checked':''; ?> />
								<?php echo esc_html($cat->name); ?>
							</label>
							<?php ftc_get_list_sub_categories_shortcode_param($cat->term_id, $arr_value, $settings); ?>
						</li>
					<?php } ?>
				</ul>
			</div>
		</div>
		<script type="text/javascript">
			jQuery('.ftc-select-category').on('change', function(){
				"use strict";
				
				var selected = jQuery('.ftc-select-category:checked');
				jQuery('.ftc-hidden-selected-categories').val('');
				var selected_id = new Array();
				selected.each(function(index, ele){
					selected_id.push(jQuery(ele).val());
				});
				selected_id = selected_id.join(',');
				jQuery('.ftc-hidden-selected-categories').val(selected_id);
			});
		</script>
		<?php
		return ob_get_clean();
	}
}

if( !function_exists('ftc_get_list_categories_shortcode_param') ){
	function ftc_get_list_categories_shortcode_param( $cat_parent_id, $settings ){
		$taxonomy = 'product_cat';
		if( isset($settings['class']) ){
			if( $settings['class'] == 'post_cat' ){
				$taxonomy = 'category';
			}
			if( $settings['class'] == 'ftc_testimonial' ){
				$taxonomy = 'ftc_testimonial_cat';
			}
			if( $settings['class'] == 'ftc_portfolio' ){
				$taxonomy = 'ftc_portfolio_cat';
			}
			if( $settings['class'] == 'ftc_brand' ){
				$taxonomy = 'ftc_brand_cat';
			}
		}
		
		$args = array(
			'taxonomy' 			=> $taxonomy
			,'hierarchical'		=> 1
			,'hide_empty'		=> 0
			,'parent'			=> $cat_parent_id
			,'title_li'			=> ''
			,'child_of'			=> 0
		);
		$cats = get_categories($args);
		return $cats;
	}
}

if( !function_exists('ftc_get_list_sub_categories_shortcode_param') ){
	function ftc_get_list_sub_categories_shortcode_param( $cat_parent_id, $arr_value, $settings ){
		$sub_categories = ftc_get_list_categories_shortcode_param($cat_parent_id, $settings); 
		if( count($sub_categories) > 0){
			?>
			<ul class="children">
				<?php foreach( $sub_categories as $sub_cat ){ ?>
					<li>
						<label>
							<input type="checkbox" class="checkbox ftc-select-category" value="<?php echo esc_attr($sub_cat->term_id); ?>" <?php echo (in_array($sub_cat->term_id, $arr_value))?'checked':''; ?> />
							<?php echo esc_html($sub_cat->name); ?>
						</label>
						<?php ftc_get_list_sub_categories_shortcode_param($sub_cat->term_id, $arr_value, $settings); ?>
					</li>
				<?php } ?>
			</ul>
		<?php }
	}
}

if( class_exists('Vc_Vendor_Woocommerce') ){
	$vc_woo_vendor = new Vc_Vendor_Woocommerce();

	/* autocomplete callback */
	add_filter( 'vc_autocomplete_ftc_products_ids_callback', array($vc_woo_vendor, 'productIdAutocompleteSuggester') );
	add_filter( 'vc_autocomplete_ftc_products_ids_render', array($vc_woo_vendor, 'productIdAutocompleteRender') );
	
	
	$shortcode_field_cats = array();
	$shortcode_field_cats[] = array('ftc_products', 'product_cats');
	$shortcode_field_cats[] = array('ftc_products_slider', 'product_cats');
	$shortcode_field_cats[] = array('ftc_products_widget', 'product_cats');
	$shortcode_field_cats[] = array('ftc_product_deals_slider', 'product_cats');
	$shortcode_field_cats[] = array('ftc_products_category_tabs', 'product_cats');
	$shortcode_field_cats[] = array('ftc_products_category_tabs', 'parent_cat');
	$shortcode_field_cats[] = array('ftc_list_of_product_categories', 'product_cat');
	$shortcode_field_cats[] = array('ftc_list_of_product_categories', 'include_cats');
	$shortcode_field_cats[] = array('ftc_product_categories_slider', 'parent');
	$shortcode_field_cats[] = array('ftc_product_categories_slider', 'child_of');
	$shortcode_field_cats[] = array('ftc_product_categories_slider', 'ids');

	foreach( $shortcode_field_cats as $shortcode_field ){
		add_filter( 'vc_autocomplete_'.$shortcode_field[0].'_'.$shortcode_field[1].'_callback', array($vc_woo_vendor, 'productCategoryCategoryAutocompleteSuggester') );
		add_filter( 'vc_autocomplete_'.$shortcode_field[0].'_'.$shortcode_field[1].'_render', array($vc_woo_vendor, 'productCategoryCategoryRenderByIdExact') );
	}
}
?>